/*
* Copyright (c) 2003, University of Maryland 
* Copyright (c) 2003, Center for Satellite and Hybrid Communication Networks 
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions 
* are met:
*
*   * Redistributions of source code must retain the above copyright notice, 
*     this list of conditions,the authors and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright notice,
*     this list of conditions,the authors and the following disclaimer in
*     the documentation and/or other materials provided with the distribution.
*   * Neither the name of the University of Maryland/Center for Satellite
*     and Hybrid Communication Networks nor the names of its 
*     contributors may be used to endorse or promote products derived from 
*     this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
* POSSIBILITY OF SUCH DAMAGE.
*
*/

/* Authors: 
*     Jonathan Polley (jpolley@isr.umd.edu),
*     Dionysus Blazakis (dblaze@isr.umd.edu),
*     Jonathan McGee (mcgee@isr.umd.edu),
*     Daniel Rusk (ruskd@isr.umd.edu),
*     Karl Seamon (kks@isr.umd.edu),
*     Manish Karir (karir@isr.umd.edu)
*/

#ifndef XATDB_INTERFACE_H
#define XATDB_INTERFACE_H

#include <gtk/gtk.h>

#define XATDB_STOCK_BREAK_ON    GTK_STOCK_NO
#define XATDB_STOCK_BREAK_OFF   GTK_STOCK_YES
#define XATDB_STOCK_CURR_LINE   GTK_STOCK_GOTO_LAST
#define XATDB_STOCK_WATCH       GTK_STOCK_ZOOM_FIT
#define XATDB_STOCK_WATCH_ON    GTK_STOCK_ZOOM_IN
#define XATDB_STOCK_WATCH_OFF   GTK_STOCK_ZOOM_OUT
#define XATDB_STOCK_STEP        GTK_STOCK_GO_FORWARD
#define XATDB_STOCK_SOURCE_STEP GTK_STOCK_JUMP_TO
#define XATDB_STOCK_RUN         GTK_STOCK_EXECUTE
#define XATDB_STOCK_STOP        GTK_STOCK_STOP
#define XATDB_STOCK_RESTART     GTK_STOCK_REFRESH

GtkWidget* create_window1 (void);
void create_chip_tab(GtkWidget *notebook_chips, int ntab);

/* toggles sensitivity of data views for the chips */
void set_sensitive_data( int setting );

/* removes the PC icon from the cfile menu and ASM and C view gutters */
void remove_pc_icon();

extern double vpane_ratio, hpane_ratio;

extern GtkTextTagTable *tagtable;

extern GtkWidget *textview_console;
extern GtkTextBuffer *textbuff_console;

extern GtkWidget *window1;
extern GtkWidget *notebook_chips;
extern GtkWidget *button_set_break;
extern GtkWidget *button_set_watch;
extern GtkWidget *button_step;
extern GtkWidget *button_go;
extern GtkWidget *button_cstep;
extern GtkWidget *button_stop;
extern GtkWidget *button_restart;
extern GtkWidget *menu_edit_copy;
extern GtkWidget *menu_edit_select_all;
extern GtkWidget *menu_edit_deselect_all;
extern GtkWidget *menu_debug_step;
extern GtkWidget *menu_debug_cstep;
extern GtkWidget *menu_debug_run;
extern GtkWidget *menu_debug_stop;
extern GtkWidget *menu_debug_restart;
extern GtkWidget *menu_debug_add_break_at;
extern GtkWidget *menu_debug_set_watch;
extern GtkWidget *menu_debug_clear_watch;
extern GtkWidget *menu_debug_add_watch_at;
extern GtkWidget *menu_debug_clear_breaks;
extern GtkWidget *menu_debug_clear_watches;
extern GtkTooltips *tooltips;
extern GtkWidget *statusbar1;
extern GtkWidget *progressbar1;
extern GtkWidget *status_table;

#endif
